CNW(4)

NAME
cnw - Xircom CreditCard Netwave wireless network device

SYNOPSIS
cnw* at pcmcia?

DESCRIPTION
The cnw device driver provides support for Xircom CreditCard Netwave (also known as Netwave Airsurfer) PCMCIA wireless network adapters.

The wireless domain number and scrambling key can be specified by the following kernel configuration options:

CNW_DOMAIN=value
    Selects what access point(s) to talk to, by their domain number. Values from 0 to 0x1ff are valid; 0x100 is the default if this option is not defined.

CNW_SCRAMBLEKEY=value
    Selects the scramble key for domains that are scrambled. Values from 0 to 0x1ff are valid; 0 (no scrambling) is the default if this option is not defined.

SEE ALSO
intro(4), netintro(4), pcmcia(4), ifconfig(8)

HISTORY
The cnw device driver appeared in OpenBSD 2.6.

BUGS
Multicasting or receiver promiscuity is not supported yet.